Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009787Dwarf FortressDwarf Mode -- Locationspublic2016-05-23 18:152018-01-24 18:00
Reportermdotterer 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformMacOSOSXOS Version10.10.5
Product Version 
Target VersionFixed in VersionNext Version 
Summary0009787: Scribes intermittently stop copying works in the library
DescriptionScribes seem to have a set order in which they want to copy works and if the next work is not available, they will not copy anything.

Often, scribes will interrupt their copying job leaving the work they are copying on the table still marked with a task. Until the work is forbidden and claimed, no new copy jobs will be queued. After fixing that, the next copy job will always be the stuck work.

Other times scribes will just halt work for no visible reason. I
suspect that the cause may be visitors holding on to the "next" work,
but I haven't been able to catch it in action.
Steps To Reproduce1. Create library
2. Assign scribes and ensure works to copy and writing material
3. Watch scribes
TagsNo tags attached.
Attached Files

- Relationships
related to 0009244resolvedToady One Scribes rarely, if ever, copy works in the library 
parent of 0009518resolvedToady One Two quires on table in library remain tasked even though no job is using them 
parent of 0009950resolvedToady One Scribes do not scribe 
parent of 0009418resolvedToady One written on scrolls still counted as 'writing materials' in library room 

-  Notes
(0035279)
mdotterer (reporter)
2016-05-24 05:30

I have also found that sometimes works will be left on bookshelves marked with "TSK" but with no task associated.
(0035280)
mdotterer (reporter)
2016-05-24 09:55

I managed to catch it in action. I have uploaded a save: http://dffd.bay12games.com/file.php?id=12072 [^]

A scribe has just abandoned his copying job to sleep leaving the source and destination quires on the library table still marked as part of a task. The shirking scribe can be found with hotkey Shift+F4, and the written quire can be found with Shift+F8. After resuming play, the current copying jobs complete and no new ones are started until the written quire is forbidden and claimed and the job restarted and completed.
(0035343)
mdotterer (reporter)
2016-06-01 13:15

It seems that it isn't just limited to tables and shelves. I have also encountered it locking up on codices that are just on the floor of the library. There is no "TSK" indication when viewing with "k", so it is difficult to check for this.
(0035360)
mdotterer (reporter)
2016-06-07 06:36

From extensive monitoring, it seems clear that the only problem is dwarves abandoning the source work and the destination quire still flagged as part of a task when canceling work to go to sleep. Both eating and drinking seem to be fine. Where the quire and work are does not seem to matter.

All stoppages that seem like they might have been caused by other things could eventually be ruled out.
(0037137)
Dwarfu (manager)
2017-11-30 01:59
edited on: 2017-12-04 03:28

See my note at:
http://www.bay12games.com/dwarves/mantisbt/view.php?id=9950#c37127 [^]

discussing why the number of writing materials is incorrect and preventing further work.

I eventually found 0009418 that reported the same conclusion.


- Issue History
Date Modified Username Field Change
2016-05-23 18:15 mdotterer New Issue
2016-05-24 05:28 mdotterer Issue Monitored: mdotterer
2016-05-24 05:30 mdotterer Note Added: 0035279
2016-05-24 09:55 mdotterer Note Added: 0035280
2016-06-01 13:15 mdotterer Note Added: 0035343
2016-06-07 06:36 mdotterer Note Added: 0035360
2016-07-15 14:17 Loci Relationship added parent of 0009518
2016-08-02 13:37 Loci Relationship added related to 0009950
2017-11-29 21:14 Dwarfu Assigned To => Dwarfu
2017-11-29 21:14 Dwarfu Status new => confirmed
2017-11-29 21:16 Dwarfu Relationship added related to 0009244
2017-11-30 01:59 Dwarfu Note Added: 0037137
2017-11-30 02:00 Dwarfu Relationship replaced parent of 0009950
2017-12-04 03:28 Dwarfu Note Edited: 0037137 View Revisions
2017-12-04 03:29 Dwarfu Relationship added parent of 0009418
2018-01-24 18:00 Toady One Status confirmed => resolved
2018-01-24 18:00 Toady One Fixed in Version => Next Version
2018-01-24 18:00 Toady One Resolution open => fixed
2018-01-24 18:00 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker